Description

Currently, the context menu for a project has four items, "New subject", "Close", "Delete", and "Settings". I suggest adding two more

buttons, "Copy" and "Archive". This will allow you to perform most operations on a project without having to go to the Administration

page.

The copy project feature is frequently used The copy feature is a frequently used feature in teams that create new projects by

copying template projects. Adding "Copy" to the context menu can reduce steps to complete the work

Archiving a project is preferable to deleting a project because deleted projects cannot be undone. Therefore, the preferable

"Archive" should be in the context menu if "Delete" is in there

I think adding these two items will not have any negative impact on UI/UX because they are usually hidden in the context menu.

In addition, non-admin users cannot see the items even if they open the context menu

 

History

#1 - 2022-01-04 05:23 - Mizuki ISHIKAWA

- File feature-36370.patch added

I've attached a patch that increases Copy and Archive links.

#2 - 2022-01-06 09:28 - Go MAEDA

- File 403.png added

Thank you for posting the patch.

After testing the patch, I found a small UI issue.

Archiving a project by clicking "Archive" shows a 403 error page. This is the expected behavior when you attempt to access an archived project, but I

am concerned that not a few users will think that an error occurred during archiving a project.

And the behavior that shows the 403 page is different from the behavior when you click "Delete". Clicking "Delete" shows /admin/projects page after

successfully deleting a project.
#3 - 2022-01-07 05:30 - Mizuki ISHIKAWA

- File feature-36370-v2.patch added

Changed to go to /admin/projects?status=9 after changing to archive.
#4 - 2022-01-07 09:01 - Go MAEDA

Mizuki ISHIKAWA wrote:

Changed to go to /admin/projects?status=9 after changing to archive.

 Thank you but the patch changes the current behavior of staying on the same page when archiving a project from the second or subsequent pages of

/admin/projects. The behavior was introduced in r15755. After applying the patch, you will be navigated to the first page of /admin/projects after

archiving a project.
